Bug 139252 - cdrecord fails with message: "Cannot allocate memory. Cannot get SCSI I/O buffer."
cdrecord fails with message: "Cannot allocate memory. Cannot get SCSI I/O buf...
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-14 09:21 EST by Vaclav Bilek
Modified: 2015-01-04 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-02 20:35:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vaclav Bilek 2004-11-14 09:21:06 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
When I try to burn iso image as normal user, cdrecord fails with
following message:

"cdrecord: Cannot allocate memory. Cannot get SCSI I/O buffer."

The same procedure running as root makes correct CD. The iso image I
try to burn and command used to burn the CD they are successfully
tested on another Linux system.

I also explored that if I run the recording procedure and tracing it
with strace (typicaly "strace cdrecord ...") it burns the CD correctly.

I did not found any a logs in my logfile (/var/log/messages).


Version-Release number of selected component (if applicable):
cdrecord-2.01.1-5

How reproducible:
Always

Steps to Reproduce:
1.Assume you have following:
-correct iso image called iso.iso in your home dir.
-link /dev/cdrom points to your IDE CD Recorder device.

2.Login as normal user and go to you home directory.

3. Try to execute following command:
cdrecord dev=/dev/cdrom iso.iso


Actual Results: 
[myuser@mypc myuser]$ cdrecord dev=/dev/cdrom iso.iso
cdrecord: No write mode specified.
cdrecord: Asuming -tao mode.
cdrecord: Future versions of cdrecord may have different drive
dependent defaults.
cdrecord: Continuing in 5 seconds...
Cdrecord-Clone 2.01-dvd (i686-pc-linux-gnu) Copyright (C) 1995-2004
J�rg Schilling
Note: This version is an unofficial (modified) version with DVD support
Note: and therefore may have bugs that are not present in the original.
Note: Please send bug reports or support requests to
http://bugzilla.redhat.com/bugzilla
Note: The author of cdrecord should not be bothered with problems in
this version.
scsidev: '/dev/cdrom'
devname: '/dev/cdrom'
scsibus: -2 target: -2 lun: -2
Linux sg driver version: 3.5.27
Using libscg version 'schily-0.8'.
cdrecord: Warning: using inofficial libscg transport code version
(schily - Red Hat-scsi-linux-sg.c-1.83-RH '@(#)scsi-linux-sg.c       
1.83 04/05/20 Copyright 1997 J. Schilling').
cdrecord: Cannot allocate memory. Cannot get SCSI I/O buffer.


Expected Results:  
[root@mypc myuser]# cdrecord dev=/dev/cdrom iso.iso
cdrecord: No write mode specified.
cdrecord: Asuming -tao mode.
cdrecord: Future versions of cdrecord may have different drive
dependent defaults.
cdrecord: Continuing in 5 seconds...
Cdrecord-Clone 2.01-dvd (i686-pc-linux-gnu) Copyright (C) 1995-2004
J�rg Schilling
Note: This version is an unofficial (modified) version with DVD support
Note: and therefore may have bugs that are not present in the original.
Note: Please send bug reports or support requests to
http://bugzilla.redhat.com/bugzilla
Note: The author of cdrecord should not be bothered with problems in
this version.
scsidev: '/dev/cdrom'
devname: '/dev/cdrom'
scsibus: -2 target: -2 lun: -2
Linux sg driver version: 3.5.27
Using libscg version 'schily-0.8'.
cdrecord: Warning: using inofficial libscg transport code version
(schily - Red Hat-scsi-linux-sg.c-1.83-RH '@(#)scsi-linux-sg.c       
1.83 04/05/20 Copyright 1997 J. Schilling').
Device type    : Removable CD-ROM
Version        : 0
Response Format: 1
Vendor_info    : 'HL-DT-ST'
Identifikation : 'RW/DVD GCC-4520B'
Revision       : '1.00'
Device seems to be: Generic mmc2 DVD-ROM.
Using generic SCSI-3/mmc   CD-R/CD-RW driver (mmc_cdr).
Driver flags   : MMC-2 SWABAUDIO BURNFREE
Supported modes: TAO PACKET SAO SAO/R96P SAO/R96R RAW/R16 RAW/R96P
RAW/R96R
Speed set to 1762 KB/s
Starting to write CD/DVD at speed  10.0 in real TAO mode for single
session.
Last chance to quit, starting real write    0 seconds. Operation starts.
trackno=0
Track 01: Total bytes read/written: 43745280/43745280 (21360 sectors).


Additional info:

I have correctly set cdrecord suid bits.
-rwsr-xr-x  1 root root 329612 ř�j 18 15:56 /usr/bin/cdrecord

My system is runnig on following kernel (output of uname -a):
Linux kink 2.6.9-1.667 #1 Tue Nov 2 14:41:25 EST 2004 i686 athlon i386
GNU/Linux

This bug happens after I installed FC3 and updated it from internet by
command (I did not tried burn CDs before yum update):
yum -y update

Folloving straced recording procedure produce correct CD:
strace cdrecord dev=/dev/cdrom iso.iso
Comment 1 Harald Hoyer 2004-11-15 08:37:21 EST
hint: do not suid cdrecord!!!
Comment 2 adam williams 2004-11-15 10:43:35 EST
here are some links to others having the same problem and fixes. 
looks like its caused by a change in the kernel source.  maybe it
slipped thru fedora's Q&A process?

scroll down about 1/2 way on both.

http://kerneltrap.org/node/view/4022

http://kerneltrap.org/node/view/4026
Comment 3 Juliano F. Ravasi 2004-11-29 16:14:27 EST
If I understood it correctly, we have a cdrecord bug here. There are many people
saying that we shouldn't set SUID on cdrecord, but without it, I cannot do
anything without getting buffer underuns since my drive is too fast for its
internal buffer (48X, 2MB). During cd burning, if the kernel is occupied and
doesn't schedule cdrecord for more than a quarter of a second, i have a buffer
underrun. So, running cdrecord without SUID is not an option.

The fix seems reasonably simple, cdrecord should just drop root privileges on an
earlier stage. I would say that this sould be a high-priority issue. After this
kernel upgrade, I'm having to run cdrecord/k3b as root to avoid losing media.
Comment 4 Dave Jones 2005-07-15 14:08:42 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 5 Dave Jones 2005-10-02 20:35:15 EDT
This bug has been automatically closed as part of a mass update.
It had been in NEEDINFO state since July 2005.
If this bug still exists in current errata kernels, please reopen this bug.

There are a large number of inactive bugs in the database, and this is the only
way to purge them.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.